function PD:UpdateValues()

	if self.db.char.damtype == "Arcane Damage" then
		dt = GetSpellBonusDamage(7);

	elseif self.db.char.damtype == "Attack Power" then
		local base, posBuff, negBuff = UnitAttackPower("player");
		dt = base + posBuff + negBuff;

	elseif self.db.char.damtype == "Fire Damage" then
		dt = GetSpellBonusDamage(3);

	elseif self.db.char.damtype == "Frost Damage" then
		dt = GetSpellBonusDamage(5);

	elseif self.db.char.damtype == "Healing Power" then
		dt = GetSpellBonusHealing();

	elseif self.db.char.damtype == "Holy Damage" then
		dt = GetSpellBonusDamage(2);

	elseif self.db.char.damtype == "Nature Damage" then
		dt = GetSpellBonusDamage(4);

	elseif self.db.char.damtype == "Physical Damage" then
		dt = GetSpellBonusDamage(1);

	elseif self.db.char.damtype == "Ranged AP" then
		local base, posBuff, negBuff = UnitRangedAttackPower("player");
		dt = base + posBuff + negBuff;

	elseif self.db.char.damtype == "Shadow Damage" then
		dt = GetSpellBonusDamage(6);

	elseif self.db.char.damtype == "Spell Damage" then
		local bonusDamage;
		local holySchool = 2;
		local minDamage = GetSpellBonusDamage(holySchool);
		this.bonusDamage = {};
		this.bonusDamage[holySchool] = minDamage;
		for i=(holySchool+1), 7 do
			bonusDamage = GetSpellBonusDamage(i);
			minDamage = min(minDamage, bonusDamage);
			this.bonusDamage[i] = bonusDamage;		
		end
		dt = minDamage
		
	end
	
if not self.db.char.statone:find("^%%") then
	one = " "..self.db.char.statone;
else
	one = self.db.char.statone;
end

if not self.db.char.stattwo:find("^%%") then
	two = " "..self.db.char.stattwo;
else
	two = self.db.char.stattwo;
end

	s1 = self:UpdateStats(self.db.char.statone)..one
	s2 = self:UpdateStats(self.db.char.stattwo)..two
	
	damag:SetText( dt )
	statone:SetText( s1 )
	stattwo:SetText( s2 )
end

function PD:UpdateText()
	typed:SetText( self.db.char.damtype )
end
